Bug 1246489 - sss_obfuscate fails with "ImportError: No module named pysss"
Summary: sss_obfuscate fails with "ImportError: No module named pysss"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lukas Slebodnik
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-24 12:48 UTC by Kaushik Banerjee
Modified: 2015-11-19 11:39 UTC (History)
10 users (show)

Fixed In Version: sssd-1.13.0-14.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 11:39:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
Spec file fix (1.21 KB, application/x-gzip)
2015-08-06 05:41 UTC, Lukas Slebodnik
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2355 normal SHIPPED_LIVE Low: sssd security, bug fix, and enhancement update 2015-11-19 10:27:42 UTC

Description Kaushik Banerjee 2015-07-24 12:48:25 UTC
Description of problem:
sss_obfuscate does not execute

Version-Release number of selected component (if applicable):
sssd-tools-1.13.0-5.el7
sssd-1.13.0-5.el7

How reproducible:
Always

Steps to Reproduce:
1. Run "sss_obfuscate"


Actual results:

# sss_obfuscate 
Traceback (most recent call last):
  File "/usr/sbin/sss_obfuscate", line 6, in <module>
    import pysss
ImportError: No module named pysss

Expected results:


Additional info:

Comment 1 Lukas Slebodnik 2015-07-24 12:53:07 UTC
It looks like broken packaging in rhel7.

On fedora it requires necessary packages.
sh$ rpm -q --requires sssd-tools | grep python
/usr/bin/python3
python3-sss = 1.13.0-2.fc22
python3-sssdconfig = 1.13.0-2.fc22

BTW on fedora 22 we already switch to default python3. So on rhel it should require python-sss and python-sssdconfig

Comment 3 Lukas Slebodnik 2015-08-06 05:41:56 UTC
Created attachment 1059716 [details]
Spec file fix

Comment 4 Jakub Hrozek 2015-08-06 09:35:33 UTC
Thanks a lot for the patches; applied.

Comment 6 Amith 2015-09-10 11:33:20 UTC
Verified the bug on SSSD Version: sssd-1.13.0-20.el7.x86_64

sss_obfuscate works as expected on the latest SSSD version. See the output below:

[root@mgmt8 ~]# sss_obfuscate 
No domain specified

Comment 7 errata-xmlrpc 2015-11-19 11:39:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2355.html


Note You need to log in before you can comment on or make changes to this bug.